Bug 49259 - Installer can't re-read partition table after changing a partition's size
Installer can't re-read partition table after changing a partition's size
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-07-17 10:52 EDT by Don Smith
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-17 17:10:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Don Smith 2001-07-17 10:52:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
While performing a server install to an IDE hard drive, I allowed the 
installer to auto-partition the drive. At the package selection screen I 
selected all packages, and proceeded to the Install Packages screen. The 
installer informed me that the /usr partition was too small, so I went 
back to the partitions screen and increased the size of the /usr 
partition. I then went forward to the Install Packages screen, and the 
installer displayed the message:

"The kernel was unable to re-read the partition table on /tmp/hda (device 
or resource busy). This means that Linux knows nothing about any changes 
you have made. You should reboot before doing anything with /tmp/hda." 

After clicking "Ignore" a few times, the installer displayed the 
message "Error enabling swap device /dev/hda2" and I had to reboot.

How reproducible:

Steps to Reproduce:
1. Perform a server installation with a /usr partiton that is too small 
(900MB is what the auto-partitioner gave me)
2. Select all packages at the package selection screen.
3. After being notified that the /usr partition is too small, go back and 
re-size it (I made it 2GB).
4. Proceed to the installation screen.
5. Installer should produce the error message described above - 
click "Ignore" a few times until the next one appears.

Actual Results:  Installation fails and the server must be rebooted.

Expected Results:  Installation does not fail after changing partition 

Additional info:

Sometimes when I go back to resize the partition, I get a message 
saying "too many primary partitions" and the installer crashes, which is 
why I said I can only reproduce the error sometimes.
Comment 1 Don Smith 2001-07-17 14:00:28 EDT
I have encountered the same problem installing on a SCSI hard drive.
Comment 2 Glen Foster 2001-07-17 15:00:24 EDT
This defect considered SHOULD-FIX for Fairfax gold-release.
Comment 3 Don Smith 2001-07-17 17:07:26 EDT
This problem has also been seen in the IA64 beta 2.
Comment 4 Jeremy Katz 2001-07-17 17:10:15 EDT
This has been the case for a while.  Unfortunately, turning off swap isn't
generally a safe thing to do and so we back out and can't reread the partition
table as the swap is still in use.
Comment 5 Matt Wilson 2001-07-20 17:27:45 EDT
fixed in CVS, there is now a dialog saying that you can't edit partitioning
after swap is on.

Note You need to log in before you can comment on or make changes to this bug.